using System;
using System.Drawing;

namespace EsempioState.Step1
{
    class Rettangolo : IParallelogramma
    {
        private double _altezza;
        private double _larghezza;

        #region IParallelogramma Members

        public virtual double Altezza
        {
            get { return _altezza; }
            set { _altezza = value; }
        }

        public virtual double Larghezza
        {
            get { return _larghezza; }
            set { _larghezza = value; }
        }

        public virtual string Nome
        {
            get { return "Rettangolo"; }
        }

        public virtual Color Colore
        {
            get { return Color.Red; }
        }

        public virtual int Timeout
        {
            get { return 25; }
        }

        #endregion
    }
}
