using System;
using System.Drawing;

namespace EsempioState.Step1
{
    class Quadrato : Rettangolo
    {
        public double Lato
        {
            get { return base.Altezza; }
            set { base.Altezza = base.Larghezza = value; }
        }

        #region IParallelogramma Members

        public override double Altezza
        {
            get { return Lato; }
            set { Lato = value; }
        }

        public override double Larghezza
        {
            get { return Lato; }
            set { Lato = value; }
        }

        public override string Nome
        {
            get { return "Quadrato"; }
        }

        public override Color Colore
        {
            get { return Color.Green; }
        }

        public override int Timeout
        {
            get { return 100; }
        }

        #endregion
    }
}
